Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRGroup

All Superinterfaces:
  java.lang.Cloneable, JRCloneable

All Known Implementing Classes:
  JRBaseGroup, JRDesignGroup, JRFillGroup, TableReportGroup

    public interface JRGroup

extends JRCloneable

Groups represent a flexible way to organize data on a report. A report group is represented by sequence of consecutive records in the data source that have something in common, like the value of a certain report field for example.

The value of the associated group expression is what makes group records stick together. This value is the thing that they have in common.

Version:
  $Id: JRGroup.java 3449 2010-02-18 19:13:13Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static byte` | `FOOTER_POSITION_COLLATE_AT_BOTTOM` Deprecated. Replaced by `FooterPositionEnum.COLLATE_AT_BOTTOM`.
`static byte` | `FOOTER_POSITION_FORCE_AT_BOTTOM` Deprecated. Replaced by `FooterPositionEnum.FORCE_AT_BOTTOM`.
`static byte` | `FOOTER_POSITION_NORMAL` Deprecated. Replaced by `FooterPositionEnum.NORMAL`.
`static byte` | `FOOTER_POSITION_STACK_AT_BOTTOM` Deprecated. Replaced by `FooterPositionEnum.STACK_AT_BOTTOM`.

Method Summary
`JRVariable` | `getCountVariable()`
`JRExpression` | `getExpression()` Gets the expression that defines what records in the group have in common.
`byte` | `getFooterPosition()` Deprecated. Replaced by `getFooterPositionValue()`.
`FooterPositionEnum` | `getFooterPositionValue()` Specifies how the group footer section behaves with regards to its position on the current page.
`JRBand` | `getGroupFooter()` Deprecated. Replaced by `getGroupFooterSection()`.
`JRSection` | `getGroupFooterSection()` Gets the footer section created for this group.
`JRBand` | `getGroupHeader()` Deprecated. Replaced by `getGroupHeaderSection()`.
`JRSection` | `getGroupHeaderSection()` Gets the header section created for this group.
`int` | `getMinHeightToStartNewPage()` Gets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.
`java.lang.String` | `getName()` Gets the group name
`boolean` | `isKeepTogether()` Gets the flag that signals if the group should be prevented from splitting on first break attempt.
`boolean` | `isReprintHeaderOnEachPage()` Gets the flag that signals if the group header should be reprinted at the beginning of each page.
`boolean` | `isResetPageNumber()` Gets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.
`boolean` | `isStartNewColumn()` Gets the flag that signals if the group header should be printed always on a new column.
`boolean` | `isStartNewPage()` Gets the flag that signals if the group header should be printed always on a new page.
`void` | `setFooterPosition(byte footerPosition)` Deprecated. Replaced by `setFooterPosition(FooterPositionEnum)`.
`void` | `setFooterPosition(FooterPositionEnum footerPosition)` Specifies the group footer section behavior with regards to its position on the current page.
`void` | `setKeepTogether(boolean keepTogether)` Sets the flag that signals if the group should be prevented from splitting on first break attempt.
`void` | `setMinHeightToStartNewPage(int minHeight)` Sets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.
`void` | `setReprintHeaderOnEachPage(boolean isReprint)` Sets the flag that signals if the group header should be reprinted at the beginning of each page.
`void` | `setResetPageNumber(boolean isReset)` Sets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.
`void` | `setStartNewColumn(boolean isStart)` Sets the flag that signals if the group header should be printed always on a new column.
`void` | `setStartNewPage(boolean isStart)` Sets the flag that signals if the group header should be printed always on a new page.

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### FOOTER_POSITION_NORMAL

    static final byte FOOTER_POSITION_NORMAL

  Deprecated. Replaced by `FooterPositionEnum.NORMAL`.
  The group footer section is rendered at normal position, just right after the last detail or right after the nested group footer section.

  See Also:
    Constant Field Values

### FOOTER_POSITION_STACK_AT_BOTTOM

    static final byte FOOTER_POSITION_STACK_AT_BOTTOM

  Deprecated. Replaced by `FooterPositionEnum.STACK_AT_BOTTOM`.
  The group footer section is rendered at bottom of the current page, provided that an inner group having this value would force outer group footers to stack at the bottom of the current page, regardless of the outer group footer setting.

  See Also:
    Constant Field Values

### FOOTER_POSITION_FORCE_AT_BOTTOM

    static final byte FOOTER_POSITION_FORCE_AT_BOTTOM

  Deprecated. Replaced by `FooterPositionEnum.FORCE_AT_BOTTOM`.
  The group footer section is rendered at bottom of the current page, provided that an inner group having this value would render its footer right at the bottom of the page, forcing the outer group footers to render on the next page.

  See Also:
    Constant Field Values

### FOOTER_POSITION_COLLATE_AT_BOTTOM

    static final byte FOOTER_POSITION_COLLATE_AT_BOTTOM

  Deprecated. Replaced by `FooterPositionEnum.COLLATE_AT_BOTTOM`.
  The group footer section is rendered at bottom of the current page, provided that the outer footers have a similar footer display option to render at the page bottom as well, because otherwise, they cannot be forced to change their behavior in any way.

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Gets the group name

### isStartNewColumn

    boolean isStartNewColumn()

  Gets the flag that signals if the group header should be printed always on a new column.

### setStartNewColumn

    void setStartNewColumn(boolean isStart)

  Sets the flag that signals if the group header should be printed always on a new column.

### isStartNewPage

    boolean isStartNewPage()

  Gets the flag that signals if the group header should be printed always on a new page.

### setStartNewPage

    void setStartNewPage(boolean isStart)

  Sets the flag that signals if the group header should be printed always on a new page.

### isResetPageNumber

    boolean isResetPageNumber()

  Gets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.

### setResetPageNumber

    void setResetPageNumber(boolean isReset)

  Sets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.

### isReprintHeaderOnEachPage

    boolean isReprintHeaderOnEachPage()

  Gets the flag that signals if the group header should be reprinted at the beginning of each page.

### setReprintHeaderOnEachPage

    void setReprintHeaderOnEachPage(boolean isReprint)

  Sets the flag that signals if the group header should be reprinted at the beginning of each page.

### getMinHeightToStartNewPage

    int getMinHeightToStartNewPage()

  Gets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.

### setMinHeightToStartNewPage

    void setMinHeightToStartNewPage(int minHeight)

  Sets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.

### getFooterPosition

    byte getFooterPosition()

  Deprecated. Replaced by `getFooterPositionValue()`.

### getFooterPositionValue

    FooterPositionEnum getFooterPositionValue()

  Specifies how the group footer section behaves with regards to its position on the current page.

### setFooterPosition

    void setFooterPosition(byte footerPosition)

  Deprecated. Replaced by `setFooterPosition(FooterPositionEnum)`.

### setFooterPosition

    void setFooterPosition(FooterPositionEnum footerPosition)

  Specifies the group footer section behavior with regards to its position on the current page.

### isKeepTogether

    boolean isKeepTogether()

  Gets the flag that signals if the group should be prevented from splitting on first break attempt.

### setKeepTogether

    void setKeepTogether(boolean keepTogether)

  Sets the flag that signals if the group should be prevented from splitting on first break attempt.

### getExpression

    JRExpression getExpression()

  Gets the expression that defines what records in the group have in common.

### getGroupHeader

    JRBand getGroupHeader()

  Deprecated. Replaced by `getGroupHeaderSection()`.

  Gets the header band created for this group.

### getGroupHeaderSection

    JRSection getGroupHeaderSection()

  Gets the header section created for this group.

### getGroupFooter

    JRBand getGroupFooter()

  Deprecated. Replaced by `getGroupFooterSection()`.

  Gets the footer band created for this group.

### getGroupFooterSection

    JRSection getGroupFooterSection()

  Gets the footer section created for this group.

### getCountVariable

    JRVariable getCountVariable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com